Summary:	Tracks runtime library calls from dynamically linked executables
Summary(es.UTF-8):	Enseña información sobre las llamadas a funciones de bibliotecas en binarios dinámicamente conectados
Summary(pl.UTF-8):	Śledzenie odwołań do bibliotek w plikach konsolidowanych dynamicznie
Summary(pt_BR.UTF-8):	Mostra informações sobre as chamadas à funções de bibliotecas em binários dinamicamente ligados
Summary(ru.UTF-8):	Выводит трассу библиотечных и системных вызовов программы
Summary(uk.UTF-8):	Видає трасу бібліотечних та системних викликів програми
Name:		ltrace
Version:	0.7.3
Release:	2
License:	GPL v2+
Group:		Development/Debuggers
Source0:	ftp://ftp.debian.org/debian/pool/main/l/ltrace/%{name}_%{version}.orig.tar.bz2
# Source0-md5:	b3dd199af8f18637f7d4ef97fdfb9d14
Patch0:		%{name}-calls.patch
Patch1:		%{name}-assert.patch
URL:		http://ltrace.alioth.debian.org/
BuildRequires:	binutils-devel
BuildRequires:	elfutils-devel
# for libsupc++ (used for symbols demangling)
BuildRequires:	gcc-c++
BuildRequires:	libselinux-devel
BuildRequires:	libunwind-devel
ExclusiveArch:	alpha armv4b armv4l %{ix86} ia64 m68k mips ppc ppc64 s390 s390x sparc sparcv9 sparc64 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ltrace is a debugging program which runs a specified command until the
command exits. While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process
and the signals received by the executed process. Ltrace can also
intercept and print system calls executed by the process. You should
install ltrace if you need a sysadmin tool for tracking the execution
of processes.

%description -l es.UTF-8
ltrace es un programa que sencillamente ejecuta un comando
especificado hasta su término. Intercepta y registra las llamadas, a
las funciones de las bibliotecas compartidas, hechas por el programa
en ejecución, y los señales recibidos por el proceso. También puede
interceptar y enseñar las llamadas al sistema operativo hechas por el
programa.

%description -l pl.UTF-8
Ltrace jest programem wspomagającym debugowanie programów. Ltrace
uruchamia dane polecenie przechwytując i zapisując odwołania do
bibliotek konsolidowanych dynamicznie oraz sygnały otrzymane przez
program. Ltrace potrafi także przechwytywać i wyświetlać odwołania
systemowe wykonywane przez program. Jeśli potrzebujesz narzędzia
administracyjnego, przydatnego do śledzenia działania programów,
powinieneś zainstalować ltrace.

%description -l pt_BR.UTF-8
ltrace é um programa que simplesmente executa um comando especificado
até seu término. Ele intercepta e registra as chamadas à funções a
bibliotecas compartilhadas feitas pelo programa em execução e os
sinais recebidos pelo processo. Também pode interceptar e mostrar as
chamadas ao sistema operacional feitas pelo programa.

%description -l ru.UTF-8
Ltrace - это отладочная программа, которая запускает указанную
программу, перехватывает и записывает как вызовы динамических
библиотек, так и сигналы, получаемые выполняющимся процессом. Ltrace
может также перехватывать и печатать системные вызовы, выполняемые
процессом.

%description -l uk.UTF-8
Ltrace - це програма, яка запускає вказану програму та перехвачує й
записує як виклики динамічних бібліотек, так і сигнали, які отримує
запущений процес. Ltrace може також перехвачувати і друкувати системні
виклики цього процесу.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ltrace.conf
%attr(755,root,root) %{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*
%changelog
* Thu Jan 30 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ltrace.git;a=log;h=master

* Thu Jan 30 2014 Jan Rękorajski <baggins@pld-linux.org> 7f53504
- upstream fix for compilation warning
- rel 2

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> ade75dc
- updated to 0.7.3
- removed obsolete Makefile.in,debian,poor-mans-autoconf,ptrace-headers patches

* Thu May 20 2010 Szymon Siwek <sls@pld-linux.org> dc2485f
- BR: binutils-devel (for -liberty)

* Wed Sep 30 2009 Jakub Bogusz <qboosh@pld-linux.org> 9f169bd
- added calls patch (few more functions to ltrace.conf)

* Wed Sep 30 2009 Jakub Bogusz <qboosh@pld-linux.org> 54c407d
- few more functions (mostly libc + one from libzio)

* Tue Sep 29 2009 Elan Ruusamäe <glen@pld-linux.org> d07dce2
- PTRACE_* constants for older libc/llh (copied from sysdeps/linux-gnu/trace.c for now)

* Tue Sep 29 2009 Elan Ruusamäe <glen@pld-linux.org> f6d1424
- @bindir@ was not expanded too

* Tue Sep 29 2009 Elan Ruusamäe <glen@pld-linux.org> a72c387
- update to 0.5.3
- introduce poor mans autoconf as maintainer decided to kill ac stuff, sic!

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> ec49d81
- release 2

* Tue May 26 2009 amateja <amateja@pld-linux.org> a27b188
- updated to 0.5.2

* Tue May 26 2009 amateja <amateja@pld-linux.org> b913841
- adjusted for 0.5.2

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 4007eec
- s/enviroment/environment/

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 81cb9ab
- updated to 0.5
- added debian patch

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 79412e9
- fixes from Debian

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a60398f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aab66e5
- converted to UTF-8

* Fri Mar 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 1ae4dac
- updated to 0.4 (with ia64 port)

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 63cd865
- updated to 0.3.37, updated URL and Makefile.in patch

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> c3b7fb8
- updated for 0.3.37

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 5050995
- adalterized (sorted %verify flags)

